Đến nội dung


Hình ảnh

lạ khi ghi kích thước


  • Please log in to reply
15 replies to this topic

#1 nguyentrongdanh2010

nguyentrongdanh2010

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 October 2010 - 08:34 PM

các bác cho em hỏi chút: mình mới mở một bản vẽ ngươi bạn nhờ chỉnh sửa lại, m thấy text trong kích thước ghi 600/2 , mình đo lại thì đươc kích thước 300, mình tưởng là họ đã sử dụng lệnh ed ở đây nhưng khi mình kéo đoạn thẳng đi thì kích thước cũng thay đổi theo(lên 800/2 chẳng hạn). mọi người chỉ dùm mình làm thế nào để có thể làm được kiểu dim kích thước này.
  • 0

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 October 2010 - 08:42 PM

các bác cho em hỏi chút: mình mới mở một bản vẽ ngươi bạn nhờ chỉnh sửa lại, m thấy text trong kích thước ghi 600/2 , mình đo lại thì đươc kích thước 300, mình tưởng là họ đã sử dụng lệnh ed ở đây nhưng khi mình kéo đoạn thẳng đi thì kích thước cũng thay đổi theo(lên 800/2 chẳng hạn). mọi người chỉ dùm mình làm thế nào để có thể làm được kiểu dim kích thước này.

Bạn dõ lệnh DST(Dimstyle) -> Chọn kiểu Dim -> Modify -> Nhãn Primary Units -> Ở Suffix : gõ /2
Tức là hậu tố của Dim là /2 đấy mà.
Hy vọng bạn làm được
  • 0

#3 nguyentrongdanh2010

nguyentrongdanh2010

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 October 2010 - 10:20 AM

vấn đề như bạn Tue nv noi m cũng đã biết. Nhưng m hỏi là: họ ghi kích thước 600/2,còn mình đo lại được 300(mình hiểu là 600/2 = 300 vì bản vẽ của họ đối xứng, mỗi bên kích thước 300 nhưng họ ko ghi mỗi bên 300, mà lại ghi 600/2)). còn llàm như Tue nv thì khi làm như thế vẫn được 600/2,nhưng dùng dim style khác đo lại là 600.mọi người giúp tớ vụ này nhé!
  • 1

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 27 October 2010 - 10:29 AM

vấn đề như bạn Tue nv noi m cũng đã biết. Nhưng m hỏi là: họ ghi kích thước 600/2,còn mình đo lại được 300(mình hiểu là 600/2 = 300 vì bản vẽ của họ đối xứng, mỗi bên kích thước 300 nhưng họ ko ghi mỗi bên 300, mà lại ghi 600/2)). còn llàm như Tue nv thì khi làm như thế vẫn được 600/2,nhưng dùng dim style khác đo lại là 600.mọi người giúp tớ vụ này nhé!


Bạn có thể upload file đó lên đây được không?
  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5684 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 27 October 2010 - 10:54 AM

Tốt nhất là bạn gửi file lên :lol: Mình chỉ biết cách làm như thêế theo kiểu bên trên vẫn ghi 300,bên dưới dim nó ghi 600/2 được thôi.CÒn chỉ hiện 600/2 không thì chưa bít :lol:
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 27 October 2010 - 11:02 AM

vấn đề như bạn Tue nv noi m cũng đã biết. Nhưng m hỏi là: họ ghi kích thước 600/2,còn mình đo lại được 300(mình hiểu là 600/2 = 300 vì bản vẽ của họ đối xứng, mỗi bên kích thước 300 nhưng họ ko ghi mỗi bên 300, mà lại ghi 600/2)). còn llàm như Tue nv thì khi làm như thế vẫn được 600/2,nhưng dùng dim style khác đo lại là 600.mọi người giúp tớ vụ này nhé!

Cái này là họ ed dim thêm /2 vào sau giá trị dim. Hoặc bạn ed dim rồi copy dòng này vào <>/2
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#7 nguyentrongdanh2010

nguyentrongdanh2010

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 October 2010 - 11:08 AM

http://www.cadviet.c..._trong_danh.dwg
đây là link file của mình. mọi người xem nha.
  • 0

#8 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 27 October 2010 - 11:21 AM

http://www.cadviet.c..._trong_danh.dwg
đây là link file của mình. mọi người xem nha.

À cái này là thêm /2 vào Dim Suffix trong bảng properties phần prymary units. Bạn copy dùng này vào dòng command sau dó chọn dim
(vla-put-textsuffix (vlax-ename->vla-object (car (entsel)))"/2")
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#9 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5684 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 27 October 2010 - 11:27 AM

Chính xác là người ta dim với tỉ lệ 1/1 như thường,sau đó Ctrl+1 để chỉnh suffix = /2,scale factor 2.Với cách này thì nội bộ đối tượng như thế thôi,không bị thay đổi toàn Dimstyle
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#10 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5684 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 27 October 2010 - 11:28 AM

À cái này là thêm /2 vào Dim Suffix trong bảng properties phần prymary units

Và thêm scale factor lên 2 chứ bác ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#11 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 27 October 2010 - 11:31 AM

Và thêm scale factor lên 2 chứ bác ^^

ý cảu bạn đó là thêm /2 vào dim thôi mà không phải là ed dim
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#12 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 27 October 2010 - 11:35 AM

Bạn chỉ cần modify dim như sau là được
Hình đã gửi
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#13 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5684 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 27 October 2010 - 11:40 AM

Ý bạn đó là giá trị thực của nó trên tỉ lệ 1:1 là 300,thì khi dim nó sẽ là 600/2 ==> ta nhân scale lên 2 lần,và thêm hậu tố /2 đằng sau,để khi dim đạt đúng kết quả = 600/2.Bác làm luôn cái lisp xinh xinh chiến vụ này đi :">.Dân cơ khí chắc hay dùng

P/S : e với bác post bài lẫn hết cả lộn.Đúng là làm như trên ý,n làm trên bảng Ctrl 1 thì hay hơn,vì không ảnh hưởng đến toàn dimstyle.Nhưng nếu số lượng nhiều thì chỉnh trong DST là chuẩn r
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#14 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 27 October 2010 - 11:52 AM

À cái này là thêm /2 vào Dim Suffix trong bảng properties phần prymary units. Bạn copy dùng này vào dòng command sau dó chọn dim
(vla-put-textsuffix (vlax-ename->vla-object (car (entsel)))"/2")

Ý bạn đó là giá trị thực của nó trên tỉ lệ 1:1 là 300,thì khi dim nó sẽ là 600/2 ==> ta nhân scale lên 2 lần,và thêm hậu tố /2 đằng sau,để khi dim đạt đúng kết quả = 600/2.Bác làm luôn cái lisp xinh xinh chiến vụ này đi :">.Dân cơ khí chắc hay dùng

P/S : e với bác post bài lẫn hết cả lộn.Đúng là làm như trên ý,n làm trên bảng Ctrl 1 thì hay hơn,vì không ảnh hưởng đến toàn dimstyle.Nhưng nếu số lượng nhiều thì chỉnh trong DST là chuẩn r

Có cần tới Lisp phải ra tay không nhỉ? :lol:
CAD xử vụ này rất ngon lành
  • 0

#15 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5684 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 27 October 2010 - 12:08 PM

Tất nhiên là k cần thiết rồi ạ,vì e có bao giờ dùng đâu ^^.Nhưng giả sử có bác nào cần ghi chú 1 vài cái dim dạng a/b ,mà có sẵn dim hết rồi ý..Tạo 1 dst riêng( ồi ngồi dim lại),hoặc làm properties 1 thằng rồi ma vào những thằng khác,hoặc dùng lệnh như bác Tú cũng là tương đương,nhưng bác bảo nhớ dòng lệnh thì... :| nên mới có trò 1 lisp nhỏ xinh,kích phát đc luôn ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#16 nguyentrongdanh2010

nguyentrongdanh2010

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 October 2010 - 02:41 PM

cảm ơn mọi người đã nhiệt tình giúp đỡ, với gợi ý của ketxu mình đã hiểu được cách làm. thanks !
  • 0